# 32/64 bit spec-file
%define name OO4kidsmanager
Name:           %{name}
Version:        1.3
Release:        %mkrel 2
License:        GNU General Public License (GPL)
URL:            http://wiki.ooo4kids.org
Source:         %{name}-%{version}.tar.xz
Summary:        Script to install OO4kids in one of 18 languages
Summary(de):    Skript zur Installation von OO4kids in einer von 18 Sprachen
Summary(fr):	Script pour installer OO4kids en 18 langues
Group:          Office
Requires:	zenity awk wget sed wmctrl webcore-fonts
Requires:	apt apt-common
Obsoletes:	%name < %version
Provides:	OO4kidsmanager = %version-%release
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:   	glibc >= 2.12.1
Requires:   	libstdc++6 >= 4.5.2
Requires:   	desktop-common-data >= 2010-11
BuildArch:      noarch

%description
To manage OO4kids start the program OO4kidsmanager from:
PCmenu -> Software Center -> OO4kids Manger
and follow the instructions.

The user-friendly and verbose bash-script OO4kidsmanager automates the management
of OO4kids (install/update/remove and adding locales).
You now have an easy one-step solution to manage OO4kids in English 
or in widely spoken languages like Arabic, French, Chinese, Spanish, German, etc.

%description -l de
Das benutzerfreundliche und verbose bash-Skript OO4kidsmanager automatisiert das Hinzufügen von
OO4kids in der Sprache des Benutzers/System-Lokalisierung. Sie haben nun eine einfache
Ein-Schritt-Lösung zur Installation von OO4kids in Englisch oder anderen Sprachen wie
Arabisch, Französisch, Chinesisch, Spanisch, Deutsch, etc.

%description -l fr
A user-friendly et verbose-script bash OO4kidsmanager automatise l'ajout de
OO4kids dans la langue de l'utilisateur / locale dans le système. Vous
avez maintenant une seule étape facile solution pour installer OO4kids en
français ou en langues de grande diffusion comme l'arabe, français,
chinois, espagnol, allemand, etc.

%description -l nl
Een gebruiksvriendelijke en verbose bash-script OO4kidsmanager automatiseert het toevoegen
OO4kids in de taal van de gebruiker / locale aan het systeem.
U hebt nu een eenvoudige een-staps oplossing om OO4kids installeren in het Engels
of in gesproken talen zoals Arabisch, Frans, Chinees, Spaans, Duits, etc.

%description -l es
Un usuario-bash amable y detallado-script automatiza OO4kidsmanager añadir
OO4kids en la lengua del usuario / configuración regional del sistema.
Ahora tiene una fácil solución de paso para instalar OO4kids en Inglés
o se habla idiomas como el árabe, francés, chino, español, alemán, etc.

%description -l it
A user-friendly e verbose bash-script OO4kidsmanager automatizza l'aggiunta di
OO4kids nella lingua dell'utente / locale al sistema.
Avete ora un facile soluzione passo per installare OO4kids in italiano
o parlate in lingue come l'arabo, francese, cinese, spagnolo, tedesco, etc.

%description -l pl
Przyjazne dla użytkownika oraz tryb bash skrypt OO4kidsmanager automatyzuje dodawanie
OO4kids na język użytkownika / locale w systemie.
Teraz masz łatwe rozwiązanie kroku, aby zainstalować OO4kids w języku angielskim
lub w powszechnie używanych języków takich jak arabski, francuski, chiński, hiszpański, niemiecki, etc.

%description -l sr
Корисника и детаљни-басх-скрипта ГетОпенОффице аутоматизује додавање
ОпенОффице на језику корисника / лоцале систем.
Сада сте једноставно један корак решење да инсталирате ОпенОффице на енглеском
или у широкој употреби језика као што су арапски, француски, кинески, шпански, немачки,
па чак и оних попут егзотичне зулу или велшки.

%prep

%setup -q

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_bindir}
install -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT/%_datadir/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Name=OO4kids Manager
Name[ar]=OO4kids مدير
Name[bg]=OO4kids мениджър
Name[cs]=OO4kids manažer
Name[da]=OO4kids Manager
Name[de]=OO4kids Manager
Name[el]=Διαχειριστής OO4kids
Name[es]=Manager de OO4kids
Name[fi]=OO4kids johtaja
Name[fr]=Gestionnaire de OO4kids
Name[it]=OO4kids Manager
Name[ja]=OO4kidsマネージャ
Name[nl]=OO4kids Beheerder
Name[pl]=kierownik OO4kids
Name[pt]=Manager do OO4kids
Name[ru]=OO4kids менеджер
Name[sr]=Менаџер OO4kids
Name[sv]=OO4kids chef
Name[tr]=OO4kids yöneticisi
Name[uk]=OO4kids менеджер
Name[zh]=OO4kids经理
GenericName=OO4kids Manager
Type=Application
Exec=OO4kidsmanager
TryExec=OO4kidsmanager
Icon=office_section.png
Comment=Install, update, remove or add other OO4kids languages
Comment[ar]=OO4kids تثبيت وتحديث وإزالة أو إضافة لغات أخرى 
Comment[bg]=Инсталиране, Премахване на, обновяване или добавяне на локализация за OO4kids
Comment[cs]=Instalujte, odstante, aktualizujte nebo pridejte lokalizaci OO4kids
Comment[da]=Installere, opdatere, fjerne eller tilføje andre OO4kids sprog
Comment[de]=Installieren, update, entfernen von OO4kids in verschiedenen Sprachen
Comment[el]=Install, Ολική διαγραφή του, upgrade, ή πρόσθεση OO4kids locale
Comment[es]=Instalar, desinstalar, actualizar o agregar la localización de OO4kids
Comment[fi]=Asentaa, päivittää, poistaa tai lisätä muita OO4kids kielillä
Comment[fr]=Installez, mettre à jour, supprimez OO4kids dans la langue de votre choix
Comment[it]=Installa, aggiorna, elimina o aggiungi OO4kids in lingue diverse
Comment[ja]=インストール、更新、削除、または他のOO4kids言語を追加する
Comment[nl]=Installeren, update, verwijderen van OO4kids in verschillende talen
Comment[pl]=Install, calkowite usuniecie, upgrade, lub dolacz OO4kids locale
Comment[pt]=Instalar, remover, upgrade, ou adicionar OO4kids locale
Comment[ru]=Установка, Полностью удалить, обновление или добавление OO4kids locale
Comment[sr]=Инсталирајте или ажурирајте LibreнОфис програм на жељеном језику
Comment[sv]=Installera, flytta, uppdatera OO4kids på ditt språk.
Comment[tr]=Yükleme, güncelleme kaldırmak veya diğer OO4kids dilleri ekleyin
Comment[uk]=Інсталювати, Видалення, оновити або додати OO4kids locale
Comment[zh]=安装，更新，删除或添加其他OO4kids语言
Categories=PackageManager;GTK;System;X-MandrivaLinux-System-Configuration;X-MandrivaLinux-Office;X-MandrivaLinux-System-Configuration-Packaging;
Comment=Manage installation/update/removal and localization of OO4kids
Terminal=false
StartupNotify=true
EOF

%files 
%defattr(-, root, root)
%{_bindir}/%{name}
%_datadir/applications/%{name}.desktop

%changelog
* Wed May 14 2014 Pinoc <vogtpet at gmail.com> 1.3-2pclos2014
- updated to work with new download location and buildID

* Mon Sep 10 2012 Neal <nealbrks0 at gmail dot com> 1.3-1pclos2012
- process

* Mon Sep 10 2012 Pinoc <vogtpet at gmail.com> 1.3-1pclos2011
- 1.3
- fixed uninstall and support uninstall of older versions
- improved program and offline installer
- fixed bug for Arabic setup
- add Polish language
- add support for 64bit

* Thu May 26 2011 Pinoc <vogtpet at gmail.com> 1.2-1pclos2011
- initial release for OO4kids 1.2
